
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 风险评价计划明细辨识区域中间表
    /// </summary>
    [Description("风险评价计划明细辨识区域中间表")]
    public class T_HM_EVALUATION_DETAIL_AREA : MesEntityBase
    {
        /// <summary>
        /// 风险评价计划明细表ID
        /// </summary>
        [Description("风险评价计划明细表ID")]
        [DataFieldForeignKey("Nav_Detail", "Nav_Areas")]
        public Guid DETAIL_ID { get; set; }
        /// <summary>
        /// 导航属性：风险评价计划明细表
        /// </summary>
        [Description("导航属性：风险评价计划明细表")]
        public T_HM_EVALUATION_DETAIL Nav_Detail { get; set; }
        /// <summary>
        /// 辨识区域ID
        /// </summary>
        [Description("辨识区域ID")]
        [DataFieldForeignKey("Nav_Area")]
        [FormFieldEdit]
        public Guid AREA_ID { get; set; }
        /// <summary>
        /// 导航属性：辨识区域表
        /// </summary>
        [Description("导航属性：辨识区域表")]
        public T_HM_RISK_AREA Nav_Area { get; set; }
    }
}
